com.streambase.liveview.client.dynamictables

## Class FieldRule

- java.lang.Object
- - com.streambase.liveview.client.dynamictables.FieldRule

-     public class FieldRule
      extends Object

  A FieldRule is a list of cases that will be evaluated on every insert or update. A RuleCase represents one case for a FieldRule, with a test, a list of assignments for an insert operation, and a list of assignments for an update operation. The first case whose test is true will be executed. If none are true and there is a default case, that case will be executed. If the RuleCase used as default includes a test, the test will be ignored.
  Since:
    2.1.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldRule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCase(RuleCase theCase)`
    `List<RuleCase>` | `getCases()`
    `RuleCase` | `getDefaultCase()`
    `String` | `getDescription()`
    `void` | `setDefaultCase(RuleCase defaultCase)`
    `FieldRule` | `setDescription(String description)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldRule

          public FieldRule()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Returns:
        the description

    - #### setDescription

          public FieldRule setDescription(String description)

      Parameters:
        `description` - the description to set

    - #### getDefaultCase

          public RuleCase getDefaultCase()

      Returns:
        the defaultCase

    - #### setDefaultCase

          public void setDefaultCase(RuleCase defaultCase)

      Parameters:
        `defaultCase` - the defaultCase to set

    - #### getCases

          public List<RuleCase> getCases()

      Returns:
        the cases

    - #### addCase

          public void addCase(RuleCase theCase)

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.